<!--
Copyright (C) 2020,2021  CismonX <admin@cismon.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty, provided the copyright notice and
this notice are preserved. This file is offered as-is, without any warranty.
-->

# README

[![Build Status](https://drone.cismon.net/api/badges/CismonX/ctlseqs/status.svg)](https://drone.cismon.net/CismonX/ctlseqs)
[![License](https://img.shields.io/badge/license-GPL--3.0--or--later-blue.svg)](COPYING)

## About

The ctlseqs library provides C API for handling ECMA-35/ECMA-48 compatible escape sequences, which is commonly used for communication between terminal emulators and text-based programs.

## Getting Started

For installation instructions, see [INSTALL.md](INSTALL.md).

[Documentation](doc/ctlseqs.texi) of the library can be read [online](.), or read with `info ctlseqs` after installation.

Some [examples](examples) are provided to demonstrate the basic usage of this library.
